Summary:	The GNU version of the awk text processing utility
Name:		gawk
Version:	5.3.0
Release:	%mkrel 3
License:	GPLv3+
Group:		Text tools
URL:		https://www.gnu.org/software/gawk/gawk.html
Source0:	https://ftp.gnu.org/gnu/gawk/%{name}-%{version}.tar.xz
Source1:	https://ftp.gnu.org/gnu/gawk/%{name}-3.1.6-ps.tar.gz

# Upstream stable branch fixes
# https://git.savannah.gnu.org/cgit/gawk.git/log/?h=gawk-5.2-stable

Provides:	awk
BuildRequires:	byacc
BuildRequires:	gettext-devel
BuildRequires:	libsigsegv-devel >= 2.8
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	texinfo
# Extending GAWK possibilities:
BuildRequires:    libsigsegv-devel
BuildRequires:    mpfr-devel
BuildRequires:    readline-devel
# This allows some locale specific tests to pass
BuildRequires:	locales-en
Requires(pre):	filesystem >= 2.1.9-18
Conflicts:      mkbootdisk < 1.5.4

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

%package	doc
Summary:	Documentation about the GNU version of the awk text processing utility
Group:		Documentation

%description	doc
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

%prep
%autosetup -p1 -b 1

# This disables a test ("time.awk" / "time.ok" ) that sometimes fails on the
# build system
echo 'BEGIN { printf "%%d\n", 1; }' > test/time.awk
echo '1' > test/time.ok

mv ../%{name}-3.1.6/doc/*.ps doc
rm -rf ../%{name}-3.1.6

%build
%configure
%make_build

%check
make check

%install
%make_install

%find_lang %{name}

ln -s gawk.1 %{buildroot}%{_mandir}/man1/awk.1
rm %{buildroot}%{_bindir}/gawk-%{version}

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*
%{_libexecdir}/awk
%{_datadir}/awk
%{_libdir}/gawk
%{_includedir}/gawkapi.h
%{_sysconfdir}/profile.d/*

%files doc
%doc README INSTALL NEWS
%doc README_d POSIX.STD doc/*.ps


%changelog
* Fri Apr 05 2024 wally <wally> 5.3.0-3.mga10
+ Revision: 2054854
- another rebuild due to a BS hickup

* Fri Apr 05 2024 wally <wally> 5.3.0-2.mga10
+ Revision: 2054613
- basesystem rebuild for i686

* Thu Nov 02 2023 kekepower <kekepower> 5.3.0-1.mga10
+ Revision: 2003668
- Update to version 5.3.0

* Tue May 09 2023 kekepower <kekepower> 5.2.2-1.mga9
+ Revision: 1956305
- Update to version 5.2.2

* Tue Nov 22 2022 kekepower <kekepower> 5.2.1-1.mga9
+ Revision: 1910314
- Update to version 5.2.1

* Wed Oct 12 2022 tmb <tmb> 5.2.0-4.mga9
+ Revision: 1896629
- add BR: texinfo
- add more fixes from upstream gawk-5.2-stable branch

* Wed Sep 14 2022 pterjan <pterjan> 5.2.0-3.mga9
+ Revision: 1888638
- Add a patch for the crash reported in mga#30825

* Mon Sep 05 2022 kekepower <kekepower> 5.2.0-2.mga9
+ Revision: 1884257
- Add upstream patch to fix "free(): double free detected in tcache 2"

* Mon Sep 05 2022 kekepower <kekepower> 5.2.0-1.mga9
+ Revision: 1883988
- Update to version 5.2.0

* Fri Mar 18 2022 umeabot <umeabot> 5.1.1-2.mga9
+ Revision: 1798776
- Mageia 9 Mass Rebuild

* Fri Oct 29 2021 kekepower <kekepower> 5.1.1-1.mga9
+ Revision: 1753247
- Update to version 5.1.1

* Fri Apr 24 2020 shlomif <shlomif> 5.1.0-1.mga8
+ Revision: 1571678
- New version 5.1.0

* Thu Apr 16 2020 tv <tv> 5.0.1-5.mga8
+ Revision: 1567762
- extend gawk possibilities with mpfr/readline/...

* Thu Apr 16 2020 tv <tv> 5.0.1-4.mga8
+ Revision: 1567752
- remove info-install dep

* Sat Feb 15 2020 umeabot <umeabot> 5.0.1-3.mga8
+ Revision: 1527977
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jul 29 2019 shlomif <shlomif> 5.0.1-2.mga8
+ Revision: 1424855
- Rebuild for core

* Fri Jul 12 2019 shlomif <shlomif> 5.0.1-1.mga8
+ Revision: 1420809
- New version 5.0.1

* Mon Sep 03 2018 tv <tv> 4.2.1-2.mga7
+ Revision: 1256401
- rely on filetriggers for info system (mga#23482)

* Mon Feb 26 2018 wally <wally> 4.2.1-1.mga7
+ Revision: 1205261
- new version 4.2.1

* Fri Oct 27 2017 joequant <joequant> 4.2.0-1.mga7
+ Revision: 1173975
- upgrade to 4.2.0

* Thu Sep 07 2017 joequant <joequant> 4.1.4-2.mga7
+ Revision: 1151743
- upgrade with new gcc/binutils

* Fri Aug 26 2016 luigiwalser <luigiwalser> 4.1.4-1.mga6
+ Revision: 1049077
- 4.1.4

* Thu Feb 11 2016 umeabot <umeabot> 4.1.3-3.mga6
+ Revision: 953973
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 4.1.3-2.mga6
+ Revision: 867455
- rebuild for new gcc

* Sat Jul 25 2015 blino <blino> 4.1.3-1.mga6
+ Revision: 857147
- 4.1.3
- drop merged patches

* Sat Mar 07 2015 shlomif <shlomif> 4.1.1-4.mga5
+ Revision: 817999
- Disable a test that sometimes fails on the BS due to timings.

* Wed Oct 15 2014 umeabot <umeabot> 4.1.1-3.mga5
+ Revision: 740740
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1.1-2.mga5
+ Revision: 679424
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 pterjan <pterjan> 4.1.1-1.mga5
+ Revision: 669846
- BuildRequires locales-en to fix tests
+ luigiwalser <luigiwalser>
- 4.1.1
- add patch to fix rm outside of buildroot in make install
- add patch from fedora to fix invalid free bug (rhbz#1089073)

* Sat Oct 19 2013 umeabot <umeabot> 4.1.0-2.mga4
+ Revision: 525737
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 luigiwalser <luigiwalser> 4.1.0-1.mga4
+ Revision: 434321
- 4.1.0
- clean up install procedure
- add new files for C extension mechanism added in gawk 4.1.0

* Sat May 04 2013 anssi <anssi> 4.0.2-4.mga3
+ Revision: 412280
- add conflicts against old mkbootdisk for smooth upgrade

* Fri Jan 11 2013 umeabot <umeabot> 4.0.2-3.mga3
+ Revision: 351081
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 4.0.2-2.mga3
+ Revision: 337528
- Fix for _libdir != _libexecdir

* Wed Dec 26 2012 luigiwalser <luigiwalser> 4.0.2-1.mga3
+ Revision: 335540
- 4.0.2

* Wed Oct 10 2012 shlomif <shlomif> 4.0.1-4.mga3
+ Revision: 304282
- Bump release to please the build system
- Convert the doc package group to Documentation (per revamp)

* Sat Jul 21 2012 colin <colin> 4.0.1-2.mga3
+ Revision: 273158
- Update for usrmove

* Sun Apr 15 2012 luigiwalser <luigiwalser> 4.0.1-1.mga2
+ Revision: 230947
- 4.0.1

* Sat Sep 03 2011 guillomovitch <guillomovitch> 4.0.0-1.mga2
+ Revision: 138253
- spec cleanup
+ fwang <fwang>
- new version 4.0.0

* Sun Jan 09 2011 blino <blino> 3.1.8-1.mga1
+ Revision: 3670
- imported package gawk


* Fri Jul 16 2010 Funda Wang <fwang@mandriva.org> 3.1.8-1mdv2011.0
+ Revision: 553882
- new version 3.1.8

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 3.1.7-2mdv2010.1
+ Revision: 519777
- link against system libsigsegv
- don't package the binary twice
- rebuild

  + Funda Wang <fwang@mandriva.org>
    - bundled sigserv used

* Sun Jul 26 2009 Funda Wang <fwang@mandriva.org> 3.1.7-1mdv2010.0
+ Revision: 400174
- new version 3.1.7

* Wed Mar 25 2009 Gustavo De Nardin <gustavodn@mandriva.com> 3.1.6-4mdv2009.1
+ Revision: 361145
- fixed awk.1 manpage symlink
- removed -f from some package building commands, to catch problems and changes

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.6-3mdv2009.1
+ Revision: 316585
- rediffed one fuzzy patch

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 3.1.6-2mdv2009.0
+ Revision: 264523
- rebuild early 2009.0 package (before pixel changes)

* Wed May 07 2008 Funda Wang <fwang@mandriva.org> 3.1.6-1mdv2009.0
+ Revision: 202722
- New version 3.1.6
- drop unneeded patch

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 3.1.5-4mdv2008.1
+ Revision: 150092
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.5-3mdv2007.0
+ Revision: 119957
- Import gawk

* Tue Jan 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.1.5-2mdk
- Update Requires
- Patch 1: awk was segfaulting when opening a non-existent file

* Thu Oct 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.1.5-1mdk
- 3.1.5
- Remove patch 1, no longer necessary
- Remove patches 2, 3 and 4, merged upstream

* Mon Jan 10 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.4-1mdk
- sync with fedora
- fix summary-ended-with-dot

* Fri Jun 11 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.1.3-3mdk
- really fix buildrequires

* Wed Jun 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.3-2mdk
- fix buildrequires

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.3-1mdk
- 3.1.3
- drop P0-P3
- sync with fedora:
	o patches P5-P9 fixes from gawk mailinglist
	o P10 fixes getpgrp_void problem (rh #114246)
- spec cosmetics

